# eric3.UI.FindFileNameDialog

Module implementing a dialog to search for files.

### Classes

FindFileNameDialog | Class implementing a dialog to search for files.

### Functions

None

## FindFileNameDialog

Class implementing a dialog to search for files. The occurences found are displayed in a QListView widget showing the filename and the pathname. The file will be opened upon a double click onto the respective entry of the list.

#### Signals

designerFile(string)
  emitted to open a Qt-Designer file
pythonFile(string)
  emitted to open a file in the editor

### Derived from

FindFileNameForm

### Methods

FindFileNameDialog | Constructor
handleOpen | Private slot to handle the double click and the Open button press.
keyPressEvent | Protected slot to intercept the return key press.
searchFile | Private slot to handle the search.
show | Overwritten method to enable/disable the project checkbox.

### FindFileNameDialog (Constructor)

FindFileNameDialog(project, parent = None)

Constructor

project
  reference to the project object
parent
  parent widget of this dialog (QWidget)

### FindFileNameDialog.handleOpen

handleOpen()

Private slot to handle the double click and the Open button press. It emits the signal pythonFile or designerFile depending on the file extension.

### FindFileNameDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to intercept the return key press.

evt
  a key press event (QKeyEvent)

### FindFileNameDialog.searchFile

searchFile()

Private slot to handle the search.

### FindFileNameDialog.show

show()

Overwritten method to enable/disable the project checkbox.

Up